org.jfree.ui.about

## Class SystemProperties

- java.lang.Object
- - org.jfree.ui.about.SystemProperties

-     public class SystemProperties
      extends java.lang.Object

  A utility class for working with system properties.
  Author:
    David Gilbert

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SortableTable` | `createSystemPropertiesTable()` Creates and returns a JTable containing all the system properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createSystemPropertiesTable

          public static SortableTable createSystemPropertiesTable()

      Creates and returns a JTable containing all the system properties. This method returns a table that is configured so that the user can sort the properties by clicking on the table header.
      Returns:
        a system properties table.